Subject: bug#62493: closed (Re: bug#62493: xelatex won't render fonts correctly without full texlive)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Mar 2023 19:36:02 +0000

Your bug report

#62493: xelatex won't render fonts correctly without full texlive

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62493: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62493
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62493: xelatex won't render fonts correctly without full texlive
From: John Kehayias <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Mar 2023 19:35:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ricardo,

On Wed, Mar 29, 2023 at 05:32 PM, Ricardo Wurmus wrote:

> John Kehayias <[email-masked]> writes:
>
>> Exported revision 59745.
>> svn: E160013: File not found: revision 66702, path
>> '/tags/texlive-2021.3/Master/texmf-dist/tcode'
>> command "svn" "export" "--non-interactive" "--trust-server-cert"
>> "-r" "59745"
>> "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/tcode/"
>> "/tmp/guix-directory.XcAtR6/tcode/" failed with status 1
>
> The importer is naive and assumes that any file in tlpdb starts with
> “texmf-dist/”.  For the xetex package there’s a file
> “tlpkg/tlpostcode/xetex.pl” and if you drop the same number of
> characters that you would for “texmf-dist/” you end up with
> “tcode/xetex.pl”.
>
> Oops!

I see you pushed some fixes for this (I didn't try with -r as that kept running for a while and might have tried to generate a whole lot of the dependency tree), thanks! I do get an import for xetex now.

And on that note I see cbf731ae481b434e657b05c80b4a32282e5d112b which adds texlive-xetex.

I can confirm with guix shell texlive-base texlive-fontspec texlive-xetex -- xelatex test.tex the output pdf has proper quotation marks and the log looks clean.

Many thanks!
John

Subject: xelatex won't render fonts correctly without full texlive
From: John Kehayias <[email-masked]>
To: Guix Bugs <[email-masked]>
Date: Tue, 28 Mar 2023 04:14:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi TeX Guixers,

Ran into a curious problem today of xelatex not properly rendering what I think is a mapping/ligature issue: the usual TeX ``something'' quote syntax should become proper double quotes (for English at least) but don't.

Here is a simple test tex file:

--8<---------------cut here---------------start------------->8---
\documentclass{article}
\begin{document}
``test quote''
\end{document}
--8<---------------cut here---------------end--------------->8---

If you compile it with

--8<---------------cut here---------------start------------->8---
guix shell texlive-base texlive-fontspec -- xelatex test.tex
--8<---------------cut here---------------end--------------->8---

you'll see the same quotes as in the tex file. Full log (test-bad.log) attached but the relevant line looks to me like

--8<---------------cut here---------------start------------->8---
Document Class: article 2020/04/10 v1.4m Standard LaTeX document class
(/gnu/store/npkjqvkgzj3pfhqwbcc504kgp1z6fj8s-profile/share/texmf-dist/tex/latex/base/size10.clo
File: size10.clo 2020/04/10 v1.4m Standard LaTeX file (size option)
Font mapping `tex-text.tec' for font `[lmroman10-regular]:mapping=tex-text;' not found.
)
--8<---------------cut here---------------end--------------->8---

I did try adding various packages, changing fonts and font settings, but to no avail.

Meanwhile, using

--8<---------------cut here---------------start------------->8---
guix shell texlive -- xelatex test.tex
--8<---------------cut here---------------end--------------->8---

gives a nicely rendered double quote mark. The log (also attached as test.log) shows no such similar message.

Some searching the most succinct and relevant summary I think is here <https://tex.stackexchange.com/questions/193412/what-is-happening-to-the-quotes>

Anyway, seems like something is missing when we use the minimal packages, but I can't seem to find what to add to guix shell to change the output of the pdf. Probably it is not captured in a package or is otherwise lost?

Any ideas?

Thanks!
John

PS: I don't think it is related, but xelatex will complain about not finding a fontspec.cfg either. I made one locally from what it used to be, but didn't change the output for me. I think it went missing here:

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=ad5dddc610fa19e78aaa1885106a419e55f0322b>